summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Nick Warne2013-12-01 04:36:20 +0100
committer Willy Sudiarto Raharjo2013-12-01 07:01:02 +0100
commitf7b0681d83e0e34191a457e9fd983db4fee474d5 (patch)
tree91e250587676e33a47d441bb0ce6516b8af7b007 /games
parent124c55da4e9590e1cc6be5fd48d32a90e10e8562 (diff)
downloadslackbuilds-f7b0681d83e0e34191a457e9fd983db4fee474d5.tar.gz
games/qxw: Added (advanced interactive crossword construction tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/qxw/README11
-rwxr-xr-xgames/qxw/qxw.SlackBuild87
-rw-r--r--games/qxw/qxw.desktop11
-rw-r--r--games/qxw/qxw.info10
-rw-r--r--games/qxw/qxw.pngbin0 -> 588 bytes
-rw-r--r--games/qxw/slack-desc19
6 files changed, 138 insertions, 0 deletions
diff --git a/games/qxw/README b/games/qxw/README
new file mode 100644
index 0000000000..e24c279947
--- /dev/null
+++ b/games/qxw/README
@@ -0,0 +1,11 @@
+Make a grid in any shape and size from mini to jumbo, rectangular,
+hex or circular, on a Möbius strip or on a torus... and much more.
+Use bars or blocks - or even a mixture of both.
+Dozens of types of symmetry including simple rotational symmetry and
+mirror symmetries as well as 'left-and-right' and 'up-and-down'.
+Interactive or fully automatic filling of whole or partial grid.
+
+NOTE: If you wish to include the qxw-guide.[version].pdf in the package,
+download from http://www.quinapalus.com/qxw.html and add
+the file to your SlackBuild directory (where this file is).
+It will automatically be added to the SBo package.
diff --git a/games/qxw/qxw.SlackBuild b/games/qxw/qxw.SlackBuild
new file mode 100755
index 0000000000..352ea00e55
--- /dev/null
+++ b/games/qxw/qxw.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+# Slackware build script for Qxw
+#
+# Copyright 2013, Nick Warne: nick@ukfsn.org, nick@linicks.net: Pompey, England
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=qxw
+VERSION=${VERSION:-20130906}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+QXWGUIDE=${QXWGUIDE:-qxw-guide}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ LICENCE changelog examples \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir $PKG/usr/share/pixmaps
+cp -a $CWD/qxw.desktop $PKG/usr/share/applications/qxw.desktop
+cp -a $CWD/qxw.png $PKG/usr/share/pixmaps
+
+# If qxw-guide.pdf is available, add that too
+if [ -f $CWD/$QXWGUIDE-$VERSION.pdf ];
+then
+ cp -a $CWD/$QXWGUIDE-$VERSION.pdf $PKG/usr/doc/$PRGNAM-$VERSION
+fi
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/qxw/qxw.desktop b/games/qxw/qxw.desktop
new file mode 100644
index 0000000000..c531f9d175
--- /dev/null
+++ b/games/qxw/qxw.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=Qxw
+Icon=qxw.png
+GenericName=Crossword editor
+Comment=Construct crossword puzzles
+Exec=/usr/games/qxw
+Terminal=false
+Categories=Game;LogicGame;
+Keywords=puzzle;grid;construction;wordgame;word;
diff --git a/games/qxw/qxw.info b/games/qxw/qxw.info
new file mode 100644
index 0000000000..01a4c66a24
--- /dev/null
+++ b/games/qxw/qxw.info
@@ -0,0 +1,10 @@
+PRGNAM="qxw"
+VERSION="20130906"
+HOMEPAGE="http://www.quinapalus.com/qxw.html"
+DOWNLOAD="http://www.quinapalus.com/qxw-20130906.tar.gz"
+MD5SUM="7e204d36029dbeb6a5132280ff0380d2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nick Warne"
+EMAIL="nick@ukfsn.org"
diff --git a/games/qxw/qxw.png b/games/qxw/qxw.png
new file mode 100644
index 0000000000..b429107b25
--- /dev/null
+++ b/games/qxw/qxw.png
Binary files differ
diff --git a/games/qxw/slack-desc b/games/qxw/slack-desc
new file mode 100644
index 0000000000..b0ea0c6637
--- /dev/null
+++ b/games/qxw/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qxw: Qxw (advanced interactive crossword construction tool)
+qxw:
+qxw: Make a grid in any shape and size from mini to jumbo, rectangular,
+qxw: hex or circular, on a Möbius strip or on a torus... and much more.
+qxw: Use bars or blocks - or even a mixture of both.
+qxw: Dozens of types of symmetry including simple rotational symmetry and
+qxw: mirror symmetries as well as 'left-and-right' and 'up-and-down'.
+qxw: Interactive or fully automatic filling of whole or partial grid.
+qxw: For full documentation visit the Qxw site:
+qxw: http://www.quinapalus.com/qxw.html (copyright Mark Owen).
+qxw: